/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.pcDevice;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：PC设备管理
*
* createdate:  2022-09-26 10:56:57  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "PC设备管理")
public class CdPcDeviceUpdateDto implements Serializable
{

    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 设备名称<br>
     */
    @ApiModelProperty("设备名称")
    @Size(max = 100, message="设备名称-deviceName: 数据长度不能 > 100" )
    private String deviceName;

    /**
     * 执行机位置<br>
     */
    @ApiModelProperty("执行机位置")
    @Size(max = 100, message="执行机位置-location: 数据长度不能 > 100" )
    private String location;

    /**
     * ip地址<br>
     */
    @ApiModelProperty("ip地址")
    @Size(max = 20, message="ip地址-ipAddr: 数据长度不能 > 20" )
    private String ipAddr;
    /**
     * 远程端口<br>
     */
    @ApiModelProperty("远程端口")
    @Size(max = 10, message="远程端口-remotePort: 数据长度不能 > 10" )
    private String remotePort;
    /**
     * windows账号<br>
     */
    @ApiModelProperty("windows账号")
    @Size(max = 100, message="windows账号-account: 数据长度不能 > 100" )
    private String account;
    /**
     * windows密码<br>
     */
    @ApiModelProperty("windows密码")
    @Size(max = 100, message="windows密码-pwd: 数据长度不能 > 100" )
    private String pwd;

    private String remoteProtocol;

    private String width;

    private String height;


    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getRemotePort() {
        return remotePort;
    }

    public void setRemotePort(String remotePort) {
        this.remotePort = remotePort;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getRemoteProtocol() {
        return remoteProtocol;
    }

    public void setRemoteProtocol(String remoteProtocol) {
        this.remoteProtocol = remoteProtocol;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }
}